Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5113)
@@ -57,5 +57,5 @@
 
 SUBROUTINE read_1D_cases
-      implicit none
+      IMPLICIT NONE
 
       INTEGER nid,rid,ierr
@@ -176,5 +176,5 @@
 
 !program reading forcings of the AMMA case study
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel
@@ -348,5 +348,5 @@
            ,vitw_amma,ht_amma,hq_amma,lat_amma,sens_amma               &
            ,vitw_prof,ht_prof,hq_prof,lat_prof,sens_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5113)
@@ -819,5 +819,5 @@
 
 
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5113)
@@ -80,5 +80,5 @@
 
   SUBROUTINE read_1D_cas
-    implicit none
+    IMPLICIT NONE
 
     INTEGER nid,rid,ierr
@@ -189,5 +189,5 @@
   !**********************************************************************************************
   SUBROUTINE read2_1D_cas
-    implicit none
+    IMPLICIT NONE
 
     INTEGER nid,rid,ierr
@@ -314,5 +314,5 @@
   !**********************************************************************************************
   SUBROUTINE old_read_SCM_cas
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "date_cas.h"
@@ -535,5 +535,5 @@
 
   !program reading forcing of the case study
-  implicit none
+  IMPLICIT NONE
 
   integer ntime,nlevel
@@ -650,5 +650,5 @@
 
   !program reading forcing of the case study
-  implicit none
+  IMPLICIT NONE
 
   integer ntime,nlevel
@@ -819,5 +819,5 @@
 
   !program reading forcing of the case study
-  implicit none
+  IMPLICIT NONE
 
   integer ntime,nlevel,k,t
@@ -1038,5 +1038,5 @@
 
 
-  implicit none
+  IMPLICIT NONE
 
   !---------------------------------------------------------------------------------------
@@ -1247,5 +1247,5 @@
 
 
-  implicit none
+  IMPLICIT NONE
 
   !---------------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5113)
@@ -89,5 +89,5 @@
   !**********************************************************************************************
   SUBROUTINE read_SCM_cas
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "date_cas.h"
@@ -329,5 +329,5 @@
 
     !program reading forcing of the case study
-    implicit none
+    IMPLICIT NONE
     INCLUDE "compar1d.h"
 
@@ -658,5 +658,5 @@
 
 
-    implicit none
+    IMPLICIT NONE
 
     !---------------------------------------------------------------------------------------
@@ -930,5 +930,5 @@
        ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
 
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5113)
@@ -3,5 +3,5 @@
      &             ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga        &
      &             ,ht_toga,vt_toga,hq_toga,vq_toga)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -65,5 +65,5 @@
 !-------------------------------------------------------------------------
       SUBROUTINE read_sandu(fich_sandu,nlev_sandu,nt_sandu,ts_sandu)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -102,5 +102,5 @@
       SUBROUTINE read_astex(fich_astex,nlev_astex,nt_astex,div_astex,      &
      & ts_astex,ug_astex,vg_astex,ufa_astex,vfa_astex)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -150,5 +150,5 @@
 
 
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel
@@ -495,5 +495,5 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-         implicit none
+         IMPLICIT NONE
          integer nid,ttm,llm
          real*8 time(ttm)
@@ -543,5 +543,5 @@
      &         ,omega_mod,o3mmr_mod,mxcalc)
 
-       implicit none
+       IMPLICIT NONE
 
       INCLUDE "dimensions.h"
@@ -657,5 +657,5 @@
      &         ,tke_mod,o3mmr_mod,mxcalc)
 
-       implicit none
+       IMPLICIT NONE
 
       INCLUDE "dimensions.h"
@@ -776,5 +776,5 @@
      &             ,ts_rico,t_rico,q_rico,u_rico,v_rico,w_rico             &
      &             ,dth_dyn,dqh_dyn)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -939,5 +939,5 @@
      &             ,year_ini_sandu,day_ini_sandu,nt_sandu,dt_sandu         &
      &             ,nlev_sandu,ts_sandu,ts_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1014,5 +1014,5 @@
       SUBROUTINE read_armcu(fich_armcu,nlev_armcu,nt_armcu,                &
      & sens,flat,adv_theta,rad_theta,adv_qt)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -1055,5 +1055,5 @@
      &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
  
-       implicit none
+       IMPLICIT NONE
  
       INCLUDE "dimensions.h"
@@ -1177,5 +1177,5 @@
      &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas,mxcalc)
  
-       implicit none
+       IMPLICIT NONE
  
        INCLUDE "dimensions.h"
@@ -1336,5 +1336,5 @@
      &         ,ht_mod,hq_mod,hu_mod,hv_mod,w_mod,omega_mod,mxcalc)
  
-       implicit none
+       IMPLICIT NONE
  
        INCLUDE "dimensions.h"
@@ -1458,5 +1458,5 @@
      &             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof   &
      &             ,ufa_prof,vfa_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1550,5 +1550,5 @@
      &             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof   &
      &             ,ht_prof,vt_prof,hq_prof,vq_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1692,5 +1692,5 @@
      &             ,ustar_prof,psurf_prof,ug_prof,vg_prof                 &
      &             ,ht_prof,hq_prof,hu_prof,hv_prof,w_prof,omega_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1805,5 +1805,5 @@
      &             ,ug_gabls4,vg_gabls4,ht_gabls4,hq_gabls4,tg_gabls4                          &
      &             ,ug_prof,vg_prof,ht_prof,hq_prof,tg_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1892,5 +1892,5 @@
      &             ,nlev_armcu,fs_armcu,fl_armcu,at_armcu,rt_armcu         &
      &             ,aqt_armcu,fs_prof,fl_prof,at_prof,rt_prof,aqt_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1972,5 +1972,5 @@
      &           wfls,dqtdxls,dqtdyls,dqtdtls,                             &
      &           thlpcar,tracer,nt1,nt2)
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax,kmax2,ntrac
@@ -2045,5 +2045,5 @@
      &       thlprof,qprof,uprof,vprof,wprof,omega,o3mmr)
 !======================================================================
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax
@@ -2077,5 +2077,5 @@
      &    thlprof,qvprof,qlprof,qtprof,uprof,vprof,wprof,tkeprof,o3mmr)
 !======================================================================
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax
@@ -2111,5 +2111,5 @@
      &       vprof,thetaprof,tprof,qvprof,rvprof,aprof,bprof)
 !======================================================================
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax
@@ -2172,5 +2172,5 @@
       use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel
@@ -2383,5 +2383,5 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-      implicit none
+      IMPLICIT NONE
 
       INCLUDE "YOMCST.h"
@@ -2717,5 +2717,5 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel,nsol
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5113)
@@ -10,5 +10,5 @@
 
 
-      implicit none
+      IMPLICIT NONE
       INCLUDE "dimensions.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5113)
@@ -3,5 +3,5 @@
 module FLOTT_GWD_rando_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
@@ -19,5 +19,5 @@
     !ONLINE:
     use dimphy, only: klon, klev
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5113)
@@ -16,5 +16,5 @@
 ! run_off_ter and run_off_lic are the runoff at the compressed grid knon for 
 ! land and land-ice respectively
-! Note: run_off_lic is used in mod_landice and therfore not private
+! Note: run_off_lic is used in mod_landice and therfore not PRIVATE
   REAL, ALLOCATABLE, DIMENSION(:), PRIVATE    :: run_off_ter
   !$OMP THREADPRIVATE(run_off_ter)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5113)
@@ -10,5 +10,5 @@
   use lmdz_phys_mpi_data, only: is_mpi_root
   USE ioipsl
-  implicit none
+  IMPLICIT NONE
 
   real,dimension(klon),intent(in) :: field
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5113)
@@ -7,5 +7,5 @@
 USE dimphy, ONLY: klon
 USE lmdz_geometry, ONLY: latitude_deg, longitude_deg
-implicit none
+IMPLICIT NONE
 real, intent(in) :: lon_deg,lat_deg
 integer :: grid_index
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5113)
@@ -7,5 +7,5 @@
 
   USE lmdz_print_control, ONLY: lunout
-  USE assert_eq_m,       ONLY: assert_eq
+  USE lmdz_assert_eq,       ONLY: assert_eq
   PRIVATE
   PUBLIC :: grid_noro, grid_noro0, read_noro
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ini_undefSTD.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ini_undefSTD.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ini_undefSTD.F90	(revision 5113)
@@ -23,7 +23,7 @@
 
   ! nout=1 !var. journaliere "day" moyenne sur tous les pas de temps
-  ! ! de la physique
+  ! de la physique
   ! nout=2 !var. mensuelle "mth" moyennee sur tous les pas de temps
-  ! ! de la physique
+  ! de la physique
   ! nout=3 !var. mensuelle "NMC" moyennee toutes les 6heures
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5113)
@@ -336,16 +336,16 @@
 
   data      Z0mBS0 /   0.5e-6/            ! MINimum Snow Roughness Length
-                                          ! ! for Momentum if Blowing Snow
-                                          ! ! Gallee et al. 2001 BLM 99 (19)
+                                          ! for Momentum if Blowing Snow
+                                          ! Gallee et al. 2001 BLM 99 (19)
   data      Z0m_S0/    0.00005/           ! MINimum Snow Roughness Length
-                                          ! ! MegaDunes    included
+                                          ! MegaDunes    included
   data      Z0m_S1/    0.030  /           ! MAXimum Snow Roughness Length
-                                          ! !        (Sastrugis)
+                                          !        (Sastrugis)
   ! #GL data      Z0_GIM/    0.0013/            ! Ice Min Z0 = 0.0013 m (Broeke)
-                                          ! ! Old Ice Z0 = 0.0500 m (Bruce)
-                                          ! !              0.0500 m (Smeets)
-                                          ! !              0.1200 m (Broeke)
+                                          ! Old Ice Z0 = 0.0500 m (Bruce)
+                                          !              0.0500 m (Smeets)
+                                          !              0.1200 m (Broeke)
   data      Z0_ICE/    0.0010/            ! Sea-Ice Z0 = 0.0010 m (Andreas)
-                                          ! !    (Ice Station Weddel -- ISW)
+                                          !    (Ice Station Weddel -- ISW)
   ! for aerolian erosion
   data      SblPom/ 1.27/   ! Lower Boundary Height Parameter
@@ -436,6 +436,6 @@
 
     rCd10n =  1. / 26.5 ! Vt / u*t = 26.5
-                 ! ! Budd et al. 1965, Antarct. Res. Series Fig.13
-                 ! ! ratio developped during assumed neutral conditions
+                 ! Budd et al. 1965, Antarct. Res. Series Fig.13
+                 ! ratio developped during assumed neutral conditions
 
 
@@ -554,7 +554,7 @@
         ! sss__G      =  0.27417     * gravit
 
-  ! !  ______________               _____
-  ! !  Newton-Raphson (! Iteration, BEGIN)
-  ! !  ~~~~~~~~~~~~~~               ~~~~~
+  !  ______________               _____
+  !  Newton-Raphson (! Iteration, BEGIN)
+  !  ~~~~~~~~~~~~~~               ~~~~~
         ! DO iit=1,nit
         ! sss__K      =  gravit      * r_Turb * A_Turb *za__SV(ikl)
@@ -580,16 +580,16 @@
    !      us__SV(ikl)= max(us__SV(ikl),epsi  )
    !      rCDmSV(ikl)=     us__SV(ikl)/VVa_OK
-  ! ! #AE     sss__F     =     vonkar     /rCDmSV(ikl)
+  ! #AE     sss__F     =     vonkar     /rCDmSV(ikl)
    !      ENDDO
 
-  ! !  ______________               ___
-  ! !  Newton-Raphson (! Iteration, END  )
-  ! !  ~~~~~~~~~~~~~~               ~~~
+  !  ______________               ___
+  !  Newton-Raphson (! Iteration, END  )
+  !  ~~~~~~~~~~~~~~               ~~~
 
    !      us_127      =  exp(    SblPom *log(us__SV(ikl)))
    !      us_227      =  us_127         *    us__SV(ikl)
 
-  ! !  Momentum            Turbulent Scale  u*: 0-Limit in case of no Blow. Snow
-  ! !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+  !  Momentum            Turbulent Scale  u*: 0-Limit in case of no Blow. Snow
+  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    !      dusuth      =  us__SV(ikl) - usthSV(ikl)       ! u* - uth*
    !      signus      =  max(sign(unun,dusuth),zero)     ! 1 <=> u* - uth* > 0
@@ -664,5 +664,5 @@
         if (is_ok_density_kotlyakov) then
             tt_tmp = TaT_SV(ikl)-TfSnow
-            ! !vv_tmp = VV10SV(ikl)
+            !vv_tmp = VV10SV(ikl)
             vv_tmp=VV__SV(ikl) ! Etienne: use wind speed at first model level instead of 10m wind
   ! + ...         [ A compromise between
@@ -1004,6 +1004,6 @@
 
         e_pRad = 2.5   *  coszSV(ikl)       ! exponential argument,
-                                            ! ! V/nIR radiation partitioning,
-                                            ! ! DR97, 2, eqn (2.53) & (2.54)
+                                            ! V/nIR radiation partitioning,
+                                            ! DR97, 2, eqn (2.53) & (2.54)
         e1pRad = 1.-exp(-e_pRad)            ! exponential, V/nIR Rad. Part.
         exdRad= 1.
@@ -1186,5 +1186,5 @@
 
       TBr_sv(ikl) =sqrt(sqrt(IRu_SV(ikl)/StefBo))      ! Brightness
-                                                       ! ! Temperature
+                                                       ! Temperature
       uts_SV(ikl) =     (HSv_sv(ikl) +HSs_sv(ikl)) & ! u*T*
             /(rhT_SV(ikl) *cp)          !
@@ -1318,5 +1318,5 @@
   ! +  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
       A_Fact      =  1.0000        ! Andreas et al., 2004, p.4
-                                   ! ! ams.confex.com/ams/pdfpapers/68601.pdf
+                                   ! ams.confex.com/ams/pdfpapers/68601.pdf
 
   ! Parameterization of z0 dependance on Temperature (C. Amory, 2017)
@@ -1341,5 +1341,5 @@
         Z0_obs = exp(coefa*TaT_SV(ikl) + coefb)
       else if (TaT_SV(ikl)>=ta2 .and. TaT_SV(ikl)<ta3) then
-        ! ! if st > 0, melting induce smooth surface
+        ! if st > 0, melting induce smooth surface
         Z0_obs = exp(coefc*TaT_SV(ikl) + coefd)
       else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5113)
@@ -50,5 +50,5 @@
   ! +  =======
 
-  ! !DO isn = nsno,2,-1
+  !DO isn = nsno,2,-1
   DO ikl = 1,knonv
 
@@ -70,14 +70,14 @@
           /max(epsi,ro__SV(ikl,isn))
 
-    ! ! Densification of the uppermost snow layer if erosion:
+    ! Densification of the uppermost snow layer if erosion:
     if((dzweqo-dzweqn)>0                    .and. &
           dzsnSV(ikl,isn)>0                    .and. &
           ro__SV(ikl,max(1,isnoSV(ikl)))<roBdSV) then
 
-    ! !characteristic time scale for drifting snow compaction set to 24h
-    ! !linear densification rate [kg/m3/s] over 24h
+    !characteristic time scale for drifting snow compaction set to 24h
+    !linear densification rate [kg/m3/s] over 24h
     densif         = (450. - frsno) / (3600*24)
 
-    ! !Attenuation of compaction rate from 450 to 500 kg/m3
+    !Attenuation of compaction rate from 450 to 500 kg/m3
     Fac         = 1-((ro__SV(ikl,max(1,isnoSV(ikl))) &
           -roBdSV)/(500.-roBdSV))
@@ -103,5 +103,5 @@
 
   END DO
-  ! !END DO
+  !END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5113)
@@ -73,7 +73,7 @@
   ! #vm real     EqSn01(knonv)                 ! Snow Energy, after Phase Change
   ! #vm real     EqSn02(knonv)                 ! Snow Energy, after Phase Change
-                                         ! !              .AND. Last Melting
+                                         !              .AND. Last Melting
   ! #e1 real     EqSn_1(knonv)                 ! Snow Energy, after Phase Change
-                                         ! !              .AND. Mass Redistr.
+                                         !              .AND. Mass Redistr.
   ! Snow/Ice (Mass) Budget
   ! ~~~~~~~~~~~~~~~~~~~~~~
@@ -160,5 +160,5 @@
   data      dz_Min/2.5e-3/                ! Minim. Snow Layer Thickness
   data      SGDmax/0.003/                 ! Maxim. Snow Grain Diameter  [m]
-                                          ! ! (Rowe et al. 1995, JGR p.16268)
+                                          ! (Rowe et al. 1995, JGR p.16268)
 
   ! +--Energy Budget (IN)
@@ -206,6 +206,6 @@
     noSnow(ikl)   = 0                   ! Nb of Layers Updater
     ispiSV(ikl)   = 0                   ! Pore Hole Close OFF Index
-                                        ! ! (assumed to be the Top of
-                                        ! !  the surimposed Ice Layer)
+                                        ! (assumed to be the Top of
+                                        !  the surimposed Ice Layer)
     zn5_SV(ikl)   = 0.
     rusnSV0(ikl)  = 0.
@@ -493,5 +493,5 @@
 
       if(isnoSV(ikl)<=1 .OR. opt_runoff_ac) rusnew = 0.
-      ! !if(ivgtSV(ikl)>=1) rusnew = 0.
+      !if(ivgtSV(ikl)>=1) rusnew = 0.
 
   ! #EU                        rusnew = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5113)
@@ -253,6 +253,6 @@
 
       dalbeW =(0.64 - csegal  )*0.0625  ! Warren 1982, RevGeo, fig.12b
-                                        ! ! 0.0625 = 5% * 1/0.8,   p.81
-                                        ! ! 0.64   = cos(50)
+                                        ! 0.0625 = 5% * 1/0.8,   p.81
+                                        ! 0.64   = cos(50)
       dalbed =     dalbeW      *       min(1,isnoSV(ikl))
   !-------------------------------------------------------------------------
@@ -276,5 +276,5 @@
       albSn6(4:6)=albSn2
 
-      ! !snow albedo corection if wetsnow
+      !snow albedo corection if wetsnow
   ! #GL     albSn1 =  albSn1*max(0.9,(1.-1.5*eta_SV(ikl,isn)))
   ! #GL     albSn2 =  albSn2*max(0.9,(1.-1.5*eta_SV(ikl,isn)))
@@ -410,5 +410,5 @@
   ! +--Integrated Snow/Ice/Soil Albedo: Clouds Correction! Greuell & all., 1994
   ! +  --------------------------------------------------! Glob.&t Planet.Change
-                                                   ! ! (9):91-114
+                                                   ! (9):91-114
         alb1sv(ikl) = alb1sv(ikl) + 0.05 *(cld_SV(ikl)-0.5)*SIcenH &
               + dalbed      *    (1.-cld_SV(ikl))
@@ -460,7 +460,7 @@
     !AO_CK 20/02/2020
 
-    ! ! No check if coupling update since MAR and NEMO albedo are too different
+    ! No check if coupling update since MAR and NEMO albedo are too different
     ! and since MAR albedo is computed on properties that are not in NEMO
-    ! ! prescription for each time step with NEMO values
+    ! prescription for each time step with NEMO values
 
   ! #AO      if (LSmask(ikl) .eq. 0 .and. coupling_ao .eq. .TRUE.) then
@@ -511,5 +511,5 @@
       DO ikl=1,knonv
         sEX_sv(ikl,isn) = 1.0
-       ! !sEX_sv(ikl,isn) = 0.95 ! if MAR is too warm in summer
+       !sEX_sv(ikl,isn) = 0.95 ! if MAR is too warm in summer
       END DO
     END DO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5113)
@@ -265,5 +265,5 @@
     IRs__D(ig) = dIRsdT(ig)* TsisSV(ig, isl) * 0.75                  !:
   END DO
-  ! !hj
+  !hj
   !!-----------------------------------------------------------------------
   !! 3)
@@ -370,5 +370,5 @@
       zx_qs = r2es * FOEEW(Tsf_SV(ig), zdelta) / ps__SV(ig)
       zx_qs = MIN(0.5, zx_qs)
-      ! !write(*,*)'zcor',retv*zx_qs
+      !write(*,*)'zcor',retv*zx_qs
       zcor = 1. / (1. - retv * zx_qs)
       zx_qs = zx_qs * zcor
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5113)
@@ -372,5 +372,5 @@
   ! +  ^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-    ! !EV!isl=  min(isnoSV(1)+1,nsno)
+    !EV!isl=  min(isnoSV(1)+1,nsno)
 
     DO ikl=1,knonv
@@ -426,7 +426,7 @@
       !  sp = (pst_SV(ikl) + ptopSV) * 10.
 
-      ! !sp=ps__SV(ikl)
-      ! ! Etienne: in the formula herebelow sp should be in hPa, not
-      ! ! in Pa so I divide by 100.
+      !sp=ps__SV(ikl)
+      ! Etienne: in the formula herebelow sp should be in hPa, not
+      ! in Pa so I divide by 100.
       sp=ps__SV(ikl)/100.
       psat_ice = 6.1070 * exp(6150. *(1./273.16 - &
@@ -476,5 +476,5 @@
   !                                                              ! by Atm.Conten
   ! #??.        *max(0,sign(1.,qsatsg(ikl)-QaT_SV(ikl))))        ! NO Limitation
-                                                           ! ! of Downw.Flux
+                                                           ! of Downw.Flux
         END DO                                             !
       DO itEuBk=1,2                                        !
@@ -522,5 +522,5 @@
       ist__w=     1-ist__s                                 ! 1 if    H2O
       d__eta     =  eta_SV(ikl,isl)-etaNEW(ikl)            !
-      ! ! latent heat flux computation
+      ! latent heat flux computation
       HL___D(ikl)=( ist__s *ro_Wat *dz_dSV(0) & ! Soil Contrib.
             *(etaNEW(ikl)    -etaBAK(ikl)) / dt__SV & !
@@ -623,6 +623,6 @@
   ! #EU      TsisSV(ikl,isl)  = max(TaT_SV(ikl)-15.,TsisSV(ikl,isl))
 
-      ! !XF 18/11/2018 to avoid ST reaching 70°C!!
-      ! !It is an error compensation but does not work over tundra
+      !XF 18/11/2018 to avoid ST reaching 70°C!!
+      !It is an error compensation but does not work over tundra
 
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5113)
@@ -140,5 +140,5 @@
   DO ikl=1,knonv
   DO   isn=1,isnoSV(ikl)-3 ! no agregation of 3 first snowlayers
-                           ! ! XF 04/07/2019
+                           ! XF 04/07/2019
 
       isno_n    =             isnoSV(ikl)-isn+1     ! Snow Normal.Profile
@@ -526,5 +526,5 @@
   DO ikl=1,knonv
     DO isn=1,isnoSV(ikl)-3 ! no agregation of 3 first snowlayers
-                           ! ! XF 04/07/2019
+                           ! XF 04/07/2019
 
       isno_n    =             isnoSV(ikl)-isn+1     ! Snow Normal.Profile
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5113)
@@ -783,5 +783,5 @@
         min_period = 1800. ! en secondes
         dalph_soil = 2.    ! rapport entre les epaisseurs de 2 couches succ.
-        ! !$OMP MASTER
+        !$OMP MASTER
         !     IF (is_mpi_root) THEN
         !        OPEN(99,file='soil.def',status='old',form='formatted',iostat=ierr)
@@ -795,5 +795,5 @@
         !        END IF
         !     ENDIF
-        ! !$OMP END MASTER
+        !$OMP END MASTER
         !     CALL bcast(min_period)
         !     CALL bcast(dalph_soil)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5113)
@@ -4,6 +4,6 @@
 MODULE iophy
 
-! abd  REAL,private,allocatable,DIMENSION(:),save :: io_lat
-! abd  REAL,private,allocatable,DIMENSION(:),save :: io_lon
+! abd  REAL,PRIVATE,allocatable,DIMENSION(:),save :: io_lat
+! abd  REAL,PRIVATE,allocatable,DIMENSION(:),save :: io_lon
   REAL,ALLOCATABLE,DIMENSION(:),SAVE :: io_lat
   REAL,ALLOCATABLE,DIMENSION(:),SAVE :: io_lon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5113)
@@ -24,5 +24,5 @@
       USE netcdf, ONLY: nf90_put_var,nf90_inq_varid,nf90_enddef,nf90_redef,nf90_sync,nf90_noerr,&
               nf90_float,nf90_def_var
-      implicit none
+      IMPLICIT NONE
 
 ! Commons
